import React from 'react';

import { Button } from '.';

export function FeedButton({ openFeedDialog, eventId }) {
  return (
    <Button className="btn_svg" onClick={() => openFeedDialog(eventId)}>
      <svg
        version="1.0"
        xmlns="http://www.w3.org/2000/svg"
        width="40.5"
        height="36"
        viewBox="0 0 835.000000 739.000000"
        preserveAspectRatio="xMidYMid meet"
      >
        <g
          transform="translate(0.000000,739.000000) scale(0.100000,-0.100000)"
          stroke="none"
        >
          <path
            d="M1370 7369 c-324 -42 -637 -192 -873 -418 -258 -248 -409 -529 -468
-869 -18 -111 -19 -182 -19 -2392 0 -2211 1 -2281 19 -2392 100 -582 536
-1068 1106 -1233 225 -65 -14 -60 3030 -60 2963 0 2818 -2 3020 50 522 137
950 553 1100 1071 64 222 60 34 60 2559 0 2575 6 2369 -76 2618 -175 534 -613
925 -1178 1050 l-96 21 -2780 2 c-1529 1 -2809 -2 -2845 -7z m5501 -1297 c75
-37 125 -87 161 -160 l33 -67 0 -220 c0 -238 -4 -263 -57 -347 -31 -50 -109
-108 -173 -130 -33 -11 -494 -13 -2665 -13 l-2625 0 -62 29 c-72 33 -134 94
-166 164 -21 44 -22 62 -22 292 l0 245 27 52 c48 90 123 150 215 172 22 5
1154 8 2663 8 l2625 -2 46 -23z m-15 -1919 c34 -11 67 -35 110 -77 92 -92 99
-119 99 -391 0 -217 0 -221 -26 -276 -36 -76 -90 -133 -157 -166 l-57 -28
-2650 0 -2650 0 -65 36 c-75 41 -129 105 -154 181 -23 70 -23 440 -1 516 27
90 121 186 209 211 18 5 1117 10 2662 10 2433 1 2634 0 2680 -16z m-26 -1919
c99 -29 166 -89 212 -190 22 -46 23 -61 23 -269 0 -160 -4 -231 -14 -260 -22
-64 -67 -129 -115 -164 -93 -66 136 -61 -2766 -61 l-2637 0 -61 31 c-75 37
-134 102 -162 177 -20 52 -21 73 -18 287 3 229 3 230 30 282 48 90 123 150
215 172 22 5 1164 9 2639 10 2360 1 2605 0 2654 -15z"
          />
        </g>
      </svg>
    </Button>
  );
}
